> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Companies



## OpenAPI

````yaml POST /api/v1/backchannel/companies/search
openapi: 3.0.3
info:
  title: Backchannel API
  version: 1.0.0
  description: >-
    API for integrating Tilt market intelligence capabilities, including
    scenarios, topics, company news, company search, and risk analysis.
servers:
  - url: https://tilt.io
    description: Production
security:
  - apiKeyAuth: []
paths:
  /api/v1/backchannel/companies/search:
    post:
      tags:
        - Companies
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompanySearchRequest'
      responses:
        '200':
          description: Search companies by name or tilt_asset_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompanySearchResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    CompanySearchRequest:
      type: object
      properties:
        query:
          type: string
        tilt_asset_ids:
          type: array
          items:
            type: string
        limit:
          type: integer
          minimum: 1
          maximum: 50
          default: 10
        include_news:
          type: boolean
          default: false
    CompanySearchResponse:
      type: object
      properties:
        companies:
          type: array
          items:
            $ref: '#/components/schemas/CompanySearchResult'
        total:
          type: integer
      required:
        - companies
        - total
    CompanySearchResult:
      type: object
      properties:
        tilt_asset_id:
          type: string
        name:
          type: string
        ticker:
          type: string
          nullable: true
        security_type:
          type: string
          enum:
            - equity
            - etf
          default: equity
        score:
          type: number
        sparkline:
          type: array
          nullable: true
          items:
            type: number
        news:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/CompanyArticle'
      required:
        - tilt_asset_id
        - name
        - score
    CompanyArticle:
      type: object
      properties:
        headline:
          type: string
        date:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
        importance_rating:
          type: integer
          nullable: true
        article_id:
          type: string
          nullable: true
      required:
        - headline
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````